package it.mice.voila.runtime.infobar;

import java.util.ArrayList;
import java.util.Collection;

/**
 * Simple message broker implementation initialized with a collection of string
 * each one representing a message to the user.
 */
public class FixedListedMessageBrokerImpl implements MessageBroker {

	/**
	 * Collection of messages.
	 */
	private Collection<String> message = new ArrayList<String>();

	/**
	 * Getter for message list.
	 * @return message list.
	 */
	public Collection<String> getMessage() {
		return message;
	}

	/**
	 * Setter for message list.
	 * @param message message list to set.
	 */
	public void setMessage(Collection<String> message) {
		this.message = message;
	}

	/**
	 * Interface method implementation that by default simply return messages setted into the bean.
	 * @return message list.
	 */
	public Collection<String> getMessages() {
		return message;
	}

}
